Package org.mariadb.jdbc.client.context

## Interface Context

All Known Implementing Classes:
  `BaseContext`, `RedoContext`

    public interface Context

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addStateFlag​(int state)`
`boolean` `canSkipMeta()`
`Configuration` `getConf()`
`String` `getDatabase()`
`ExceptionFactory` `getExceptionFactory()`
`org.mariadb.jdbc.client.PrepareCache` `getPrepareCache()`
`byte[]` `getSeed()`
`long` `getServerCapabilities()`
`int` `getServerStatus()`
`int` `getStateFlag()`
`long` `getThreadId()`
`int` `getTransactionIsolationLevel()`
`org.mariadb.jdbc.client.ServerVersion` `getVersion()`
`int` `getWarning()`
`boolean` `isEofDeprecated()`
`boolean` `isExtendedInfo()`
`void` `resetStateFlag()`
`void` `setDatabase​(String database)`
`void` `setServerStatus​(int serverStatus)`
`void` `setTransactionIsolationLevel​(int transactionIsolationLevel)`
`void` `setWarning​(int warning)`

### Method Detail

#### getThreadId

    long getThreadId()

#### getSeed

    byte[] getSeed()

#### getServerCapabilities

    long getServerCapabilities()

#### getServerStatus

    int getServerStatus()

#### setServerStatus

    void setServerStatus​(int serverStatus)

#### getDatabase

    String getDatabase()

#### setDatabase

    void setDatabase​(String database)

#### getVersion

    org.mariadb.jdbc.client.ServerVersion getVersion()

#### isEofDeprecated

    boolean isEofDeprecated()

#### canSkipMeta

    boolean canSkipMeta()

#### isExtendedInfo

    boolean isExtendedInfo()

#### getWarning

    int getWarning()

#### setWarning

    void setWarning​(int warning)

#### getExceptionFactory

    ExceptionFactory getExceptionFactory()

#### getConf

    Configuration getConf()

#### getTransactionIsolationLevel

    int getTransactionIsolationLevel()

#### setTransactionIsolationLevel

    void setTransactionIsolationLevel​(int transactionIsolationLevel)

#### getPrepareCache

    org.mariadb.jdbc.client.PrepareCache getPrepareCache()

#### getStateFlag

    int getStateFlag()

#### resetStateFlag

    void resetStateFlag()

#### addStateFlag

    void addStateFlag​(int state)